> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt

# GetACDOperatorStatistics

POST https://api.voximplant.com/platform_api/GetACDOperatorStatistics

Get statistics for calls distributed to users (referred as 'operators') via the 'ACD' module. This method can filter statistic based on operator ids, queue ids and date-time interval. It can also group results by day or hour.

Allowed roles: `Owner`, `Admin`, `Developer`, `Supervisor`, `User manager`.

**Example request:** Get AC and TT statistics for two operators and the queue from the specified date.

Reference: https://docs.voximplant.ai/api-reference/management-api/reference/queues/get-acd-operator-statistics

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: management-api
  version: 1.0.0
paths:
  /GetACDOperatorStatistics:
    post:
      operationId: get-acd-operator-statistics
      summary: GetACDOperatorStatistics
      description: >-
        Get statistics for calls distributed to users (referred as 'operators')
        via the 'ACD' module. This method can filter statistic based on operator
        ids, queue ids and date-time interval. It can also group results by day
        or hour.


        Allowed roles: `Owner`, `Admin`, `Developer`, `Supervisor`, `User
        manager`.


        **Example request:** Get AC and TT statistics for two operators and the
        queue from the specified date.
      tags:
        - subpackage_queues
      parameters:
        - name: from_date
          in: query
          description: >-
            Date and time of statistics interval begin. Time zone is UTC, format
            is 24-h 'YYYY-MM-DD HH:mm:ss'
          required: true
          schema:
            type: string
        - name: to_date
          in: query
          description: >-
            Date and time of statistics interval begin. Time zone is UTC, format
            is 24-h 'YYYY-MM-DD HH:mm:ss'
          required: false
          schema:
            type: string
            default: current date and time
        - name: acd_queue_id
          in: query
          description: >-
            The ACD queue ID list separated by semicolons (;). Use the 'all'
            value to select all ACD queues
          required: false
          schema:
            type: array
            items:
              type: integer
        - name: user_id
          in: query
          description: >-
            The user ID list separated by semicolons (;). Use the 'all' value to
            select all users
          required: true
          schema:
            type: array
            items:
              type: integer
        - name: abbreviation
          in: query
          description: >-
            Whether key names in returned JSON are abbreviated to reduce
            response byte size. The abbreviations are: 'SA' for 'SpeedOfAnswer',
            'HT' for 'HandlingTime', 'TT' for 'TalkTime', 'ACW' for
            'AfterCallWork', 'TDT' for 'TotalDialingTime', 'THT' for
            'TotalHandlingTime', 'TTT' for 'TotalTalkTime', 'TACW' for
            'TotalAfterCallWork', 'AC' for 'AnsweredCalls', 'UAC' for
            'UnansweredCalls'
          required: false
          schema:
            type: boolean
            default: true
        - name: report
          in: query
          description: >-
            List of item names abbreviations separated by semicolons (;).
            Returned JSON includes keys only for the selected items. Special
            'all' value defines all possible items, see
            [ACDOperatorStatisticsType] for a complete list. See 'abbreviation'
            description for complete abbreviation list
          required: false
          schema:
            type: array
            items:
              type: string
        - name: aggregation
          in: query
          description: >-
            Specifies how records are grouped by date and time. If set to 'day',
            the criteria is a day number. If set to 'hour_of_day', the criteria
            is a 60-minute interval within a day. If set to 'hour', the criteria
            is both day number and 60-minute interval within that day. If set to
            'none', records are not grouped by date and time
          required: false
          schema:
            type: string
            default: none
        - name: group
          in: query
          description: >-
            If set to 'user', first-level array in the resulting JSON groups
            records by the user ID, and second-level array groups them by date
            according to the 'aggregation' parameter. If set to 'aggregation',
            first-level array in the resulting JSON groups records according to
            the 'aggregation' parameter, and second-level array groups them by
            the user ID
          required: false
          schema:
            type: string
            default: user
        - name: Authorization
          in: header
          description: >-
            Voximplant Management API uses signed JWT tokens generated from your
            service-account private key. Pass the token in the `Authorization`
            header as a Bearer value:


            ```

            Authorization: Bearer $VOXIMPLANT_TOKEN

            ```


            See [Authorization](/api-reference/management-api/authorization) for
            ready-to-copy snippets in bash, Python, Node.js and Go that turn
            your `credentials.json` into a token.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/queues_GetACDOperatorStatistics_Response_200
servers:
  - url: https://api.voximplant.com/platform_api
components:
  schemas:
    AcdOperatorAggregationGroupTypeUserId:
      oneOf:
        - type: string
        - type: integer
      description: If aggregation is enabled, contains user ID for the results
      title: AcdOperatorAggregationGroupTypeUserId
    ACDStatisticsItemType:
      type: object
      properties:
        min:
          type: integer
          description: Minimum value over the aggregated interval, in seconds
        avg:
          type: integer
          description: Average value over the aggregated interval, in seconds
        max:
          type: integer
          description: Maximum value over the aggregated interval, in seconds
        count:
          type: integer
          description: Samples count over the aggregated interval
        sum:
          type: integer
          description: Sum of all samples over the aggregated interval, in seconds
      description: >-
        Individual statistics item in the [ACDOperatorStatisticsType],
        [ACDQueueStatisticsType], and [ACDOperatorStatusStatisticsDetail]
        records.
      title: ACDStatisticsItemType
    ACDOperatorStatisticsType:
      type: object
      properties:
        user_id:
          type: string
          description: If aggregation is enabled, contains user ID for the results
        date:
          type: string
          description: >-
            Date string as returned by the Management API.


            If aggregation is enabled, contains UTC date for the results in 24-h
            'YYYY-MM-DD' format
        hour:
          type: integer
          description: >-
            If aggregation is enabled, contains the 60-minute interval number
            from 1 to 24
        SA:
          $ref: '#/components/schemas/ACDStatisticsItemType'
          description: >-
            Delay between a call started to ring and operator answered it. Name
            is 'SpeedOfAnswer' if 'abbreviation' is set to 'false'
        TT:
          $ref: '#/components/schemas/ACDStatisticsItemType'
          description: >-
            Time between operator answering and ending a call. Name is
            'TalkTime' if 'abbreviation' is set to 'false'
        ACW:
          $ref: '#/components/schemas/ACDStatisticsItemType'
          description: >-
            Time between operator ended a call and changed status to a one
            different from the 'AFTER_SERVICE'. This time is tracked only if
            operator changed status to 'AFTER_SERVICE' after the call. Name is
            'AfterCallWork' if 'abbreviation' is set to 'false'
        HT:
          $ref: '#/components/schemas/ACDStatisticsItemType'
          description: >-
            Sum of 'TalkTime' and 'AfterCallWork'. Name is 'HandlingTime' if
            'abbreviation' is set to 'false'
        AC:
          type: integer
          description: >-
            Number of answered calls. Name is 'AnsweredCalls' if 'abbreviation'
            is set to 'false'
        UAC:
          type: integer
          description: >-
            Number of unanswered calls. Name is 'UnansweredCalls' if
            'abbreviation' is set to 'false'
        TDT:
          type: integer
          description: >-
            Sum of delays between calls started to ring and operator answered
            them, in seconds. Name is 'TotalDialingTime' if 'abbreviation' is
            set to 'false'
        THT:
          type: integer
          description: >-
            Sum of 'HandlingTime', in seconds. Name is 'TotalHandlingTime' if
            'abbreviation' is set to 'false'
        TTT:
          type: integer
          description: >-
            Sum of 'TalkTime', in seconds. Name is 'TotalTalkTime' if
            'abbreviation' is set to 'false'
        TACW:
          type: integer
          description: >-
            Sum of 'AfterCallWork', in seconds. Name is 'TotalAfterCallWork' if
            'abbreviation' is set to 'false'
      description: Individual record in the [ACDOperatorAggregationGroupType] group.
      title: ACDOperatorStatisticsType
    ACDOperatorAggregationGroupType:
      type: object
      properties:
        user_id:
          $ref: '#/components/schemas/AcdOperatorAggregationGroupTypeUserId'
          description: If aggregation is enabled, contains user ID for the results
        date:
          type: string
          description: >-
            Date string as returned by the Management API.


            If aggregation is enabled, contains UTC date for the results in 24-h
            'YYYY-MM-DD' format
        hour:
          type: integer
          description: >-
            If aggregation is enabled, contains the 60-minute interval number
            from 1 to 24
        statistics:
          type: array
          items:
            $ref: '#/components/schemas/ACDOperatorStatisticsType'
          description: >-
            List of records grouped by date or user ID according to the 'group'
            method call argument
      description: The [GetACDOperatorStatistics] function result item.
      title: ACDOperatorAggregationGroupType
    queues_GetACDOperatorStatistics_Response_200:
      type: object
      properties:
        result:
          type: array
          items:
            $ref: '#/components/schemas/ACDOperatorAggregationGroupType'
          description: >-
            List of groups, grouped by user ID or date according to the 'group'
            method call argument
      title: queues_GetACDOperatorStatistics_Response_200
  securitySchemes:
    JwtAuth:
      type: http
      scheme: bearer
      description: >-
        Voximplant Management API uses signed JWT tokens generated from your
        service-account private key. Pass the token in the `Authorization`
        header as a Bearer value:


        ```

        Authorization: Bearer $VOXIMPLANT_TOKEN

        ```


        See [Authorization](/api-reference/management-api/authorization) for
        ready-to-copy snippets in bash, Python, Node.js and Go that turn your
        `credentials.json` into a token.

```

## SDK Code Examples

```python Example 1
import requests

url = "https://api.voximplant.com/platform_api/GetACDOperatorStatistics"

querystring = {"from_date":"2026-04-28 17:30:00","user_id":"[1]"}

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Example 1
const url = 'https://api.voximplant.com/platform_api/GetACDOperatorStatistics?from_date=2026-04-28+17%3A30%3A00&user_id=%5B1%5D';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example 1
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.voximplant.com/platform_api/GetACDOperatorStatistics?from_date=2026-04-28+17%3A30%3A00&user_id=%5B1%5D"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example 1
require 'uri'
require 'net/http'

url = URI("https://api.voximplant.com/platform_api/GetACDOperatorStatistics?from_date=2026-04-28+17%3A30%3A00&user_id=%5B1%5D")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Example 1
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.voximplant.com/platform_api/GetACDOperatorStatistics?from_date=2026-04-28+17%3A30%3A00&user_id=%5B1%5D")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Example 1
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.voximplant.com/platform_api/GetACDOperatorStatistics?from_date=2026-04-28+17%3A30%3A00&user_id=%5B1%5D', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Example 1
using RestSharp;

var client = new RestClient("https://api.voximplant.com/platform_api/GetACDOperatorStatistics?from_date=2026-04-28+17%3A30%3A00&user_id=%5B1%5D");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Example 1
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/GetACDOperatorStatistics?from_date=2026-04-28+17%3A30%3A00&user_id=%5B1%5D")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```